357056 - jar files in maintenance repo (3.3.1) appear not "packed"
diff --git a/releng.control/addRepoProperties.sh b/releng.control/addRepoProperties.sh
index 20e15af..7baf94b 100644
--- a/releng.control/addRepoProperties.sh
+++ b/releng.control/addRepoProperties.sh
@@ -75,4 +75,13 @@
 #$devJRE -version
 echo
 
-${ECLIPSE_EXE} --launcher.suppressErrors -nosplash -console -data $devworkspace -application ${APP_NAME} ${OTHER_ARGS} -vm $devJRE -vmargs $devArgs
+
+if [ -n ${ECLIPSE_EXE} -a ! -z ${ECLIPSE_EXE}  -x ${ECLIPSE_EXE} ]
+then 
+   ${ECLIPSE_EXE} --launcher.suppressErrors -nosplash -console -data $devworkspace -application ${APP_NAME} ${OTHER_ARGS} -vm $devJRE -vmargs $devArgs
+   RC=$?
+else
+   echo "ERROR: ECLIPSE_EXE is not defined to executable eclipse"
+   RC=1001
+fi 
+exit $RC
\ No newline at end of file
diff --git a/releng.control/promote.sh b/releng.control/promote.sh
index 4e6c3fd..cd357ce 100755
--- a/releng.control/promote.sh
+++ b/releng.control/promote.sh
@@ -181,20 +181,33 @@
        then
               echo "INFO: processing artifacts in code repo: $repoDirLocation";
               ${RELENG_CONTROL}/runAntRunner.sh process-artifacts.xml -DrepoDirLocation="${repoDirLocation}" 
+              RC=$?
        else 
-              echo "WARNING: expected code repo directory does not exist: $repoDirLocation";
+              echo "ERROR: expected code repo directory does not exist: $repoDirLocation";
+              RC=2001
        fi 
        
-       repoDirLocation=$FROMDIR/repositoryunittests
-       if [[ -d "${repoDirLocation}" ]] 
-       then
-              echo "INFO: calling processing artifacts in test repo: $repoDirLocation";
-              ${RELENG_CONTROL}/runAntRunner.sh process-artifacts.xml -DrepoDirLocation="${repoDirLocation}"
-       else 
-              echo "WARNING: expected test repo directory does not exist: $repoDirLocation";
-       fi 
+       if [ $RC -eq 0 ] 
+       then 
+              repoDirLocation=$FROMDIR/repositoryunittests
+              if [[ -d "${repoDirLocation}" ]] 
+              then
+                     echo "INFO: calling processing artifacts in test repo: $repoDirLocation";
+                     ${RELENG_CONTROL}/runAntRunner.sh process-artifacts.xml -DrepoDirLocation="${repoDirLocation}"
+                     RC=$?
+              else 
+                     echo "ERROR: expected test repo directory does not exist: $repoDirLocation";
+                     RC=2002
+              fi 
+       fi
 fi 
 
+if [ $RC != 0 ]
+  then
+     echo "ERROR: pack processing did not operate as expected. Exiting the promote script early."
+     exit $RC
+   fi
+
 # Remember, add properties should be called after process artifacts. 
 # TODO: we currently do not add properties to tests repo ... maybe should? for mirror URL, at least. 
 # TODO: a fourth and fifth argument can be specified to addRepoProperties.sh to provide better stats marking. 
diff --git a/releng.control/runAntRunner.sh b/releng.control/runAntRunner.sh
index 714b1f3..21cdbcc 100644
--- a/releng.control/runAntRunner.sh
+++ b/releng.control/runAntRunner.sh
@@ -2,7 +2,7 @@
 # specify devworkspace and JRE to use to runEclipse
 
 
-devworkspace=~/workspace-antRunner
+devworkspace=./workspace-antRunner
 
 BUILDFILE=$1
 if [ -e $BUILDFILE ]
@@ -41,4 +41,12 @@
 #$devJRE -version
 echo
 
-${ECLIPSE_EXE}  --launcher.suppressErrors  -nosplash -console -data $devworkspace -application org.eclipse.ant.core.antRunner $BUILDFILESTR -vm $devJRE -vmargs $devArgs
+if [ -n ${ECLIPSE_EXE} -a ! -z ${ECLIPSE_EXE}  -x ${ECLIPSE_EXE} ]
+then 
+   ${ECLIPSE_EXE}  --launcher.suppressErrors  -nosplash -console -data $devworkspace -application org.eclipse.ant.core.antRunner $BUILDFILESTR -vm $devJRE -vmargs $devArgs
+   RC=$?
+else
+   echo "ERROR: ECLIPSE_EXE is not defined to executable eclipse"
+   RC=1001
+fi 
+exit $RC